Package ghidra.program.model.address

# Class SpecialAddress

java.lang.Object
ghidra.program.model.address.GenericAddress
ghidra.program.model.address.SpecialAddress

All Implemented Interfaces:
  `Address`, `Comparable<Address>`

public class SpecialAddress extends GenericAddress
Class used represent "special addresses"

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.address.GenericAddress

  `addrSpace, offset, zeros`

  ### Fields inherited from interface ghidra.program.model.address.Address

  `EXT_FROM_ADDRESS, NO_ADDRESS, SEPARATOR, SEPARATOR_CHAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns a String representation of the address in hex and padded to the appropriate size.
  `String`
  `toString(boolean showAddressSpace)`
  Returns a String representation that may include the address space name
  `String`
  `toString(String prefix)`
  Returns a String representation of the address using the given string as a prefix.

  ### Methods inherited from class ghidra.program.model.address.GenericAddress

  `add, addNoWrap, addNoWrap, addWrap, addWrapSpace, compareTo, equals, getAddress, getAddressableWordOffset, getAddressSpace, getNewAddress, getNewAddress, getNewTruncatedAddress, getOffset, getOffsetAsBigInteger, getPhysicalAddress, getPointerSize, getSize, getUnsignedOffset, hashCode, hasSameAddressSpace, isConstantAddress, isExternalAddress, isHashAddress, isLoadedMemoryAddress, isMemoryAddress, isNonLoadedMemoryAddress, isRegisterAddress, isStackAddress, isSuccessor, isUniqueAddress, isVariableAddress, next, previous, subtract, subtract, subtractNoWrap, subtractWrap, subtractWrapSpace, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### toString

    public String toString()
    Description copied from interface: `Address`
    Returns a String representation of the address in hex and padded to the appropriate size.
    Specified by:
      `toString` in interface `Address`
    Overrides:
      `toString` in class `GenericAddress`
    Returns:
      the string
    See Also:
      - `Object.toString()`

  - ### toString

    public String toString(boolean showAddressSpace)
    Description copied from interface: `Address`
    Returns a String representation that may include the address space name
    Specified by:
      `toString` in interface `Address`
    Overrides:
      `toString` in class `GenericAddress`
    Parameters:
      `showAddressSpace` - true if the address space should be included in resulting string.
    Returns:
      String the string representation of the address
    See Also:
      - `Address.toString(boolean)`

  - ### toString

    public String toString(String prefix)
    Description copied from interface: `Address`
    Returns a String representation of the address using the given string as a prefix. Equivalent of prefix + ":" + toString(false)
    Specified by:
      `toString` in interface `Address`
    Overrides:
      `toString` in class `GenericAddress`
    Parameters:
      `prefix` - the string to prepend to the address string.
    Returns:
      the string
    See Also:
      - `Address.toString(java.lang.String)`